<template>
  <div class="print">
    <a
      class="btn-radius bt-pn btn btn-sm"
      data-bs-toggle="dropdown"
      aria-expanded="false"
      style="float: right; color: #f8f5b4; margin-top: -2px; width:79px"
    >
      <i class="fas fa-plus" style="padding-right: 5px"> </i>

      {{i18ntext.lngText('menu')}}
    </a>
    <ul class="dropdown-menu">
      <!-- Print -->
      <li id="print">
        <a
          class="dropdown-item btn btn-primary"
          data-bs-toggle="modal"
          data-bs-target="#printBrand"
          tabindex="10028"
          ><i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')  }}</a
        >
      </li>
      <!-- Excel -->
      <li>
        <a
          @click="importScripts()"
          class="dropdown-item"
          data-bs-toggle="modal"
          data-bs-target="#excelBrand"
          tabindex="10028"
          href="#"
          ><i class="fas fa-file-excel"></i> {{i18ntext.lngText('import')  }}</a
        >
      </li>
      <li>
        <a
          @click="getSheet()"
          class="dropdown-item"
          data-bs-toggle="modal"
          data-bs-target="#excelBrand"
          tabindex="10028"
          href="#"
          ><i class="fas fa-file-excel"></i>{{i18ntext.lngText('export')  }}</a
        >
      </li>
      <li>
        <a @click="BackToHistory()" class="dropdown-item btn btn-primary" tabindex="10028">
          <i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('product')  }}
        </a>
      </li>
    </ul>
  </div>
  <!-- Modal Print -->
  <div
    class="modal fade ui-modal"
    id="printBrand"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')  }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="categoryprint" style="height: auto !important;">
                <div class="" style="padding: 0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase"> {{i18ntext.lngText('report')}}{{i18ntext.lngText('brands')}}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">{{i18ntext.lngText('company')}}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('name')}} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('phonenumber')}} :</span> {{ company.company_Phone }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('email')}} :</span> {{ company.company_Email }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{i18ntext.lngText('address')}} :</span> {{ company.company_Address }}
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('date')}}</p>
                      <p class="text-center p-mg" id="fon">{{ newdate }}</p>
                      <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('total')}}{{ i18ntext.lngText('brands') }}</p>
                      <p class="text-center p-mg" id="fon">{{ items.total }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center" scope="col">{{i18ntext.lngText('no')}}</th>
                          <th class="text-center" scope="col">{{i18ntext.lngText('brand_name')}}</th>
                          <th class="text-center" scope="col">{{i18ntext.lngText('brand_name')}} 2</th>
                          <!-- <th class="text-center" scope="col">Inactivced</th> -->
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in printData" :key="index">
                          <td scope="col">{{ index + 1 }}</td>
                          <td scope="col">{{ item.brand_name }}</td>
                          <td scope="col">{{ item.brand_name_2 }}</td>
                          <!-- <td scope="col">{{ item.inactived }}</td> -->
                        </tr>
                      </tbody>
                    </table>
                  </div>

                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button
            v-print="'#categoryprint'"
            class="btn-purchase btn-light text-capitalize border-0"
          >
            <i class="fa fa-print text-primary"></i> {{i18ntext.lngText('print')}}
          </button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal Excel -->
  <div
    class="modal fade ui-modal"
    id="excelBrand"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">
            <i class="fas fa-file-excel"></i>{{ i18ntext.lngText('Excel') }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <div class="text-center">
                        <!-- <h3 v-if="excel == 'Import'" class="title-purchase">
                          {{ excel }} {{ exefile }} from Excel
                        </h3>
                        <h3 v-else class="title-purchase">{{ excel }} To Excel</h3> -->

                        <h3 v-if="excel == 'Import'" class="title-purchase">
                    {{ i18ntext.lngText('import') }}
                      </h3>
                      <h3 v-else class="title-purchase">
                    {{ i18ntext.lngText('export') }}

                         </h3>
                      </div>
                    </div>
                    <div
                      class="row my-2 mx-1 justify-content-center table-padding-bot customsroll"
                    >
                      <table class="table table-striped table-borderless" id="exceldata">
                        <thead style="background-color: #84b0ca" class="text-white">
                          <tr>
                            <th scope="col">{{ i18ntext.lngText('no') }}</th>
                            <th scope="col">{{ i18ntext.lngText('brand_name') }}</th>
                            <th scope="col">{{ i18ntext.lngText('description') }}</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr v-for="(braExcel, index) in braExcels" :key="index">
                            <th v-if="index >= 1" style="width: 5%; color: black">
                              {{ index }}
                            </th>
                            <th v-if="index >= 1" style="width: 10%; color: black">
                              {{ braExcel.brand_name }}
                            </th>
                            <th v-if="index >= 1" style="width: 10%; color: black">
                              {{ braExcel.brand_name_2 }}
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <div
              v-if="excel == 'Import'"
              @click="btnSaveExcel"
              data-bs-dismiss="modal"
              aria-label="Close"
              class="btn-purchase btn-light text-capitalize"
            >
              <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{i18ntext.lngText('save')}}
            </div>
            <div
              v-if="excel == 'Import'"
              @change="excelBrand($event)"
              class="btn-purchase btn-light text-capitalize"
            >
              <input autocomplete="off"
                style="width: 160px; right: 375px"
                v-if="excel == 'Import'"
                type="file"
              /><i class="fas fa-file-excel"></i>
              {{i18ntext.lngText('imfile')}}
            </div>
            <div
              v-if="excel == 'Export'"
              @click="exportdataExcel()"
              data-bs-dismiss="modal"
              aria-label="Close"
              class="btn-purchase btn-light text-capitalize"
            >
              <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{i18ntext.lngText('export')}}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>

import print from "vue3-print-nb";
export default {
  directives: {
    print,
  },
};
</script>
<script setup>
import useCategory from "../../componentJS/Brand";
import i18n from "../../i18n/i18n";
const {
  printBrand,
  printData,
  getBrand,
  getcompany,
  dataexcelBrand,
  savexcelBrand,
  exportSheet,
  exportData,
  Import,
  braExcels,
  items,
  checkexcel,
  exefile,
  excel,
  company,
  newdate,
} = useCategory();
const i18ntext = i18n

const print = async () => {
  printBrand();
};
const btnSaveExcel = async () => {
  savexcelBrand();
};
const excelBrand = async (event) => {
  dataexcelBrand(event);
};
const importScripts = () => {
  Import();
};
const getSheet = async () => {
  exportSheet();
};
const exportdataExcel = async () => {
  exportData();
};
const BackToHistory = () => {
  history.back()
}
</script>
